This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316468 - OData returns bad number of entities with $count and $expand
OData returns bad number of entities with $count and $expand
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:52 EST by Juraj Duráni
Modified: 2016-08-24 07:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:41:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4038 Major Resolved OData returns bad number of entities with $count and $expand 2016-05-25 08:52 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 05:52:05 EST
Description of problem:
*URL:* http://localhost:8080/odata4/olingo_basic/Source/Customers/?$count=true&$expand=Orders_FK0
*Expected count: * 4
*Actual count:* 9

Similar behavior with $filter - http://localhost:8080/odata4/olingo_basic/Source/Customers/?$count=true&$filter=idcust%20lt%203&$expand=Orders_FK0

OData should return only count of Customer entities.
Comment 1 JBoss JIRA Server 2016-03-18 18:07:15 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4038 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-21 12:55:25 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4038 to Resolved

Note You need to log in before you can comment on or make changes to this bug.